IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network4.16.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
- Network address
4.16.0.0- Broadcast address
4.31.255.255- First usable
4.16.0.1- Last usable
4.31.255.254- Usable hosts
- 1,048,574 (1,048,576 less the network and broadcast addresses)
- Subnet mask
255.240.0.0- Wildcard mask
0.15.255.255(Cisco ACLs, OSPF)- Prefix length
- /12
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
04100000· Integer68157440to69206015 - Reverse DNS zones
16.4.in-addr.arpa17.4.in-addr.arpa18.4.in-addr.arpa19.4.in-addr.arpa20.4.in-addr.arpa21.4.in-addr.arpa22.4.in-addr.arpa23.4.in-addr.arpa24.4.in-addr.arpa25.4.in-addr.arpa26.4.in-addr.arpa27.4.in-addr.arpa28.4.in-addr.arpa29.4.in-addr.arpa30.4.in-addr.arpa31.4.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000100.00010000.00000000.00000000 | 4.16.0.0 |
| Subnet mask | 11111111.11110000.00000000.00000000 | 255.240.0.0 |
| Network | 00000100.00010000.00000000.00000000 | 4.16.0.0 |
| Broadcast | 00000100.00011111.11111111.11111111 | 4.31.255.255 |
Split into smaller subnets
/13 (2)/14 (4)/15 (8)/16 (16)/17 (32)/18 (64)/19 (128)/20 (256)/21 (512)/22 (1,024)/23 (2,048)/24 (4,096)
4.16.0.0/12 makes 256 subnets of /20.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 4.16.0.0/20 | 4.16.0.1 to 4.16.15.254 | 4.16.15.255 | 4,094 |
| 2 | 4.16.16.0/20 | 4.16.16.1 to 4.16.31.254 | 4.16.31.255 | 4,094 |
| 3 | 4.16.32.0/20 | 4.16.32.1 to 4.16.47.254 | 4.16.47.255 | 4,094 |
| 4 | 4.16.48.0/20 | 4.16.48.1 to 4.16.63.254 | 4.16.63.255 | 4,094 |
| 5 | 4.16.64.0/20 | 4.16.64.1 to 4.16.79.254 | 4.16.79.255 | 4,094 |
| 6 | 4.16.80.0/20 | 4.16.80.1 to 4.16.95.254 | 4.16.95.255 | 4,094 |
| 7 | 4.16.96.0/20 | 4.16.96.1 to 4.16.111.254 | 4.16.111.255 | 4,094 |
| 8 | 4.16.112.0/20 | 4.16.112.1 to 4.16.127.254 | 4.16.127.255 | 4,094 |
| 9 | 4.16.128.0/20 | 4.16.128.1 to 4.16.143.254 | 4.16.143.255 | 4,094 |
| 10 | 4.16.144.0/20 | 4.16.144.1 to 4.16.159.254 | 4.16.159.255 | 4,094 |
| 11 | 4.16.160.0/20 | 4.16.160.1 to 4.16.175.254 | 4.16.175.255 | 4,094 |
| 12 | 4.16.176.0/20 | 4.16.176.1 to 4.16.191.254 | 4.16.191.255 | 4,094 |
| 13 | 4.16.192.0/20 | 4.16.192.1 to 4.16.207.254 | 4.16.207.255 | 4,094 |
| 14 | 4.16.208.0/20 | 4.16.208.1 to 4.16.223.254 | 4.16.223.255 | 4,094 |
| 15 | 4.16.224.0/20 | 4.16.224.1 to 4.16.239.254 | 4.16.239.255 | 4,094 |
| 16 | 4.16.240.0/20 | 4.16.240.1 to 4.16.255.254 | 4.16.255.255 | 4,094 |
| 17 | 4.17.0.0/20 | 4.17.0.1 to 4.17.15.254 | 4.17.15.255 | 4,094 |
| 18 | 4.17.16.0/20 | 4.17.16.1 to 4.17.31.254 | 4.17.31.255 | 4,094 |
| 19 | 4.17.32.0/20 | 4.17.32.1 to 4.17.47.254 | 4.17.47.255 | 4,094 |
| 20 | 4.17.48.0/20 | 4.17.48.1 to 4.17.63.254 | 4.17.63.255 | 4,094 |
| 21 | 4.17.64.0/20 | 4.17.64.1 to 4.17.79.254 | 4.17.79.255 | 4,094 |
| 22 | 4.17.80.0/20 | 4.17.80.1 to 4.17.95.254 | 4.17.95.255 | 4,094 |
| 23 | 4.17.96.0/20 | 4.17.96.1 to 4.17.111.254 | 4.17.111.255 | 4,094 |
| 24 | 4.17.112.0/20 | 4.17.112.1 to 4.17.127.254 | 4.17.127.255 | 4,094 |
| 25 | 4.17.128.0/20 | 4.17.128.1 to 4.17.143.254 | 4.17.143.255 | 4,094 |
| 26 | 4.17.144.0/20 | 4.17.144.1 to 4.17.159.254 | 4.17.159.255 | 4,094 |
| 27 | 4.17.160.0/20 | 4.17.160.1 to 4.17.175.254 | 4.17.175.255 | 4,094 |
| 28 | 4.17.176.0/20 | 4.17.176.1 to 4.17.191.254 | 4.17.191.255 | 4,094 |
| 29 | 4.17.192.0/20 | 4.17.192.1 to 4.17.207.254 | 4.17.207.255 | 4,094 |
| 30 | 4.17.208.0/20 | 4.17.208.1 to 4.17.223.254 | 4.17.223.255 | 4,094 |
| 31 | 4.17.224.0/20 | 4.17.224.1 to 4.17.239.254 | 4.17.239.255 | 4,094 |
| 32 | 4.17.240.0/20 | 4.17.240.1 to 4.17.255.254 | 4.17.255.255 | 4,094 |
| 33 | 4.18.0.0/20 | 4.18.0.1 to 4.18.15.254 | 4.18.15.255 | 4,094 |
| 34 | 4.18.16.0/20 | 4.18.16.1 to 4.18.31.254 | 4.18.31.255 | 4,094 |
| 35 | 4.18.32.0/20 | 4.18.32.1 to 4.18.47.254 | 4.18.47.255 | 4,094 |
| 36 | 4.18.48.0/20 | 4.18.48.1 to 4.18.63.254 | 4.18.63.255 | 4,094 |
| 37 | 4.18.64.0/20 | 4.18.64.1 to 4.18.79.254 | 4.18.79.255 | 4,094 |
| 38 | 4.18.80.0/20 | 4.18.80.1 to 4.18.95.254 | 4.18.95.255 | 4,094 |
| 39 | 4.18.96.0/20 | 4.18.96.1 to 4.18.111.254 | 4.18.111.255 | 4,094 |
| 40 | 4.18.112.0/20 | 4.18.112.1 to 4.18.127.254 | 4.18.127.255 | 4,094 |
| 41 | 4.18.128.0/20 | 4.18.128.1 to 4.18.143.254 | 4.18.143.255 | 4,094 |
| 42 | 4.18.144.0/20 | 4.18.144.1 to 4.18.159.254 | 4.18.159.255 | 4,094 |
| 43 | 4.18.160.0/20 | 4.18.160.1 to 4.18.175.254 | 4.18.175.255 | 4,094 |
| 44 | 4.18.176.0/20 | 4.18.176.1 to 4.18.191.254 | 4.18.191.255 | 4,094 |
| 45 | 4.18.192.0/20 | 4.18.192.1 to 4.18.207.254 | 4.18.207.255 | 4,094 |
| 46 | 4.18.208.0/20 | 4.18.208.1 to 4.18.223.254 | 4.18.223.255 | 4,094 |
| 47 | 4.18.224.0/20 | 4.18.224.1 to 4.18.239.254 | 4.18.239.255 | 4,094 |
| 48 | 4.18.240.0/20 | 4.18.240.1 to 4.18.255.254 | 4.18.255.255 | 4,094 |
| 49 | 4.19.0.0/20 | 4.19.0.1 to 4.19.15.254 | 4.19.15.255 | 4,094 |
| 50 | 4.19.16.0/20 | 4.19.16.1 to 4.19.31.254 | 4.19.31.255 | 4,094 |
| 51 | 4.19.32.0/20 | 4.19.32.1 to 4.19.47.254 | 4.19.47.255 | 4,094 |
| 52 | 4.19.48.0/20 | 4.19.48.1 to 4.19.63.254 | 4.19.63.255 | 4,094 |
| 53 | 4.19.64.0/20 | 4.19.64.1 to 4.19.79.254 | 4.19.79.255 | 4,094 |
| 54 | 4.19.80.0/20 | 4.19.80.1 to 4.19.95.254 | 4.19.95.255 | 4,094 |
| 55 | 4.19.96.0/20 | 4.19.96.1 to 4.19.111.254 | 4.19.111.255 | 4,094 |
| 56 | 4.19.112.0/20 | 4.19.112.1 to 4.19.127.254 | 4.19.127.255 | 4,094 |
| 57 | 4.19.128.0/20 | 4.19.128.1 to 4.19.143.254 | 4.19.143.255 | 4,094 |
| 58 | 4.19.144.0/20 | 4.19.144.1 to 4.19.159.254 | 4.19.159.255 | 4,094 |
| 59 | 4.19.160.0/20 | 4.19.160.1 to 4.19.175.254 | 4.19.175.255 | 4,094 |
| 60 | 4.19.176.0/20 | 4.19.176.1 to 4.19.191.254 | 4.19.191.255 | 4,094 |
| 61 | 4.19.192.0/20 | 4.19.192.1 to 4.19.207.254 | 4.19.207.255 | 4,094 |
| 62 | 4.19.208.0/20 | 4.19.208.1 to 4.19.223.254 | 4.19.223.255 | 4,094 |
| 63 | 4.19.224.0/20 | 4.19.224.1 to 4.19.239.254 | 4.19.239.255 | 4,094 |
| 64 | 4.19.240.0/20 | 4.19.240.1 to 4.19.255.254 | 4.19.255.255 | 4,094 |
| 65 | 4.20.0.0/20 | 4.20.0.1 to 4.20.15.254 | 4.20.15.255 | 4,094 |
| 66 | 4.20.16.0/20 | 4.20.16.1 to 4.20.31.254 | 4.20.31.255 | 4,094 |
| 67 | 4.20.32.0/20 | 4.20.32.1 to 4.20.47.254 | 4.20.47.255 | 4,094 |
| 68 | 4.20.48.0/20 | 4.20.48.1 to 4.20.63.254 | 4.20.63.255 | 4,094 |
| 69 | 4.20.64.0/20 | 4.20.64.1 to 4.20.79.254 | 4.20.79.255 | 4,094 |
| 70 | 4.20.80.0/20 | 4.20.80.1 to 4.20.95.254 | 4.20.95.255 | 4,094 |
| 71 | 4.20.96.0/20 | 4.20.96.1 to 4.20.111.254 | 4.20.111.255 | 4,094 |
| 72 | 4.20.112.0/20 | 4.20.112.1 to 4.20.127.254 | 4.20.127.255 | 4,094 |
| 73 | 4.20.128.0/20 | 4.20.128.1 to 4.20.143.254 | 4.20.143.255 | 4,094 |
| 74 | 4.20.144.0/20 | 4.20.144.1 to 4.20.159.254 | 4.20.159.255 | 4,094 |
| 75 | 4.20.160.0/20 | 4.20.160.1 to 4.20.175.254 | 4.20.175.255 | 4,094 |
| 76 | 4.20.176.0/20 | 4.20.176.1 to 4.20.191.254 | 4.20.191.255 | 4,094 |
| 77 | 4.20.192.0/20 | 4.20.192.1 to 4.20.207.254 | 4.20.207.255 | 4,094 |
| 78 | 4.20.208.0/20 | 4.20.208.1 to 4.20.223.254 | 4.20.223.255 | 4,094 |
| 79 | 4.20.224.0/20 | 4.20.224.1 to 4.20.239.254 | 4.20.239.255 | 4,094 |
| 80 | 4.20.240.0/20 | 4.20.240.1 to 4.20.255.254 | 4.20.255.255 | 4,094 |
| 81 | 4.21.0.0/20 | 4.21.0.1 to 4.21.15.254 | 4.21.15.255 | 4,094 |
| 82 | 4.21.16.0/20 | 4.21.16.1 to 4.21.31.254 | 4.21.31.255 | 4,094 |
| 83 | 4.21.32.0/20 | 4.21.32.1 to 4.21.47.254 | 4.21.47.255 | 4,094 |
| 84 | 4.21.48.0/20 | 4.21.48.1 to 4.21.63.254 | 4.21.63.255 | 4,094 |
| 85 | 4.21.64.0/20 | 4.21.64.1 to 4.21.79.254 | 4.21.79.255 | 4,094 |
| 86 | 4.21.80.0/20 | 4.21.80.1 to 4.21.95.254 | 4.21.95.255 | 4,094 |
| 87 | 4.21.96.0/20 | 4.21.96.1 to 4.21.111.254 | 4.21.111.255 | 4,094 |
| 88 | 4.21.112.0/20 | 4.21.112.1 to 4.21.127.254 | 4.21.127.255 | 4,094 |
| 89 | 4.21.128.0/20 | 4.21.128.1 to 4.21.143.254 | 4.21.143.255 | 4,094 |
| 90 | 4.21.144.0/20 | 4.21.144.1 to 4.21.159.254 | 4.21.159.255 | 4,094 |
| 91 | 4.21.160.0/20 | 4.21.160.1 to 4.21.175.254 | 4.21.175.255 | 4,094 |
| 92 | 4.21.176.0/20 | 4.21.176.1 to 4.21.191.254 | 4.21.191.255 | 4,094 |
| 93 | 4.21.192.0/20 | 4.21.192.1 to 4.21.207.254 | 4.21.207.255 | 4,094 |
| 94 | 4.21.208.0/20 | 4.21.208.1 to 4.21.223.254 | 4.21.223.255 | 4,094 |
| 95 | 4.21.224.0/20 | 4.21.224.1 to 4.21.239.254 | 4.21.239.255 | 4,094 |
| 96 | 4.21.240.0/20 | 4.21.240.1 to 4.21.255.254 | 4.21.255.255 | 4,094 |
| 97 | 4.22.0.0/20 | 4.22.0.1 to 4.22.15.254 | 4.22.15.255 | 4,094 |
| 98 | 4.22.16.0/20 | 4.22.16.1 to 4.22.31.254 | 4.22.31.255 | 4,094 |
| 99 | 4.22.32.0/20 | 4.22.32.1 to 4.22.47.254 | 4.22.47.255 | 4,094 |
| 100 | 4.22.48.0/20 | 4.22.48.1 to 4.22.63.254 | 4.22.63.255 | 4,094 |
| 101 | 4.22.64.0/20 | 4.22.64.1 to 4.22.79.254 | 4.22.79.255 | 4,094 |
| 102 | 4.22.80.0/20 | 4.22.80.1 to 4.22.95.254 | 4.22.95.255 | 4,094 |
| 103 | 4.22.96.0/20 | 4.22.96.1 to 4.22.111.254 | 4.22.111.255 | 4,094 |
| 104 | 4.22.112.0/20 | 4.22.112.1 to 4.22.127.254 | 4.22.127.255 | 4,094 |
| 105 | 4.22.128.0/20 | 4.22.128.1 to 4.22.143.254 | 4.22.143.255 | 4,094 |
| 106 | 4.22.144.0/20 | 4.22.144.1 to 4.22.159.254 | 4.22.159.255 | 4,094 |
| 107 | 4.22.160.0/20 | 4.22.160.1 to 4.22.175.254 | 4.22.175.255 | 4,094 |
| 108 | 4.22.176.0/20 | 4.22.176.1 to 4.22.191.254 | 4.22.191.255 | 4,094 |
| 109 | 4.22.192.0/20 | 4.22.192.1 to 4.22.207.254 | 4.22.207.255 | 4,094 |
| 110 | 4.22.208.0/20 | 4.22.208.1 to 4.22.223.254 | 4.22.223.255 | 4,094 |
| 111 | 4.22.224.0/20 | 4.22.224.1 to 4.22.239.254 | 4.22.239.255 | 4,094 |
| 112 | 4.22.240.0/20 | 4.22.240.1 to 4.22.255.254 | 4.22.255.255 | 4,094 |
| 113 | 4.23.0.0/20 | 4.23.0.1 to 4.23.15.254 | 4.23.15.255 | 4,094 |
| 114 | 4.23.16.0/20 | 4.23.16.1 to 4.23.31.254 | 4.23.31.255 | 4,094 |
| 115 | 4.23.32.0/20 | 4.23.32.1 to 4.23.47.254 | 4.23.47.255 | 4,094 |
| 116 | 4.23.48.0/20 | 4.23.48.1 to 4.23.63.254 | 4.23.63.255 | 4,094 |
| 117 | 4.23.64.0/20 | 4.23.64.1 to 4.23.79.254 | 4.23.79.255 | 4,094 |
| 118 | 4.23.80.0/20 | 4.23.80.1 to 4.23.95.254 | 4.23.95.255 | 4,094 |
| 119 | 4.23.96.0/20 | 4.23.96.1 to 4.23.111.254 | 4.23.111.255 | 4,094 |
| 120 | 4.23.112.0/20 | 4.23.112.1 to 4.23.127.254 | 4.23.127.255 | 4,094 |
| 121 | 4.23.128.0/20 | 4.23.128.1 to 4.23.143.254 | 4.23.143.255 | 4,094 |
| 122 | 4.23.144.0/20 | 4.23.144.1 to 4.23.159.254 | 4.23.159.255 | 4,094 |
| 123 | 4.23.160.0/20 | 4.23.160.1 to 4.23.175.254 | 4.23.175.255 | 4,094 |
| 124 | 4.23.176.0/20 | 4.23.176.1 to 4.23.191.254 | 4.23.191.255 | 4,094 |
| 125 | 4.23.192.0/20 | 4.23.192.1 to 4.23.207.254 | 4.23.207.255 | 4,094 |
| 126 | 4.23.208.0/20 | 4.23.208.1 to 4.23.223.254 | 4.23.223.255 | 4,094 |
| 127 | 4.23.224.0/20 | 4.23.224.1 to 4.23.239.254 | 4.23.239.255 | 4,094 |
| 128 | 4.23.240.0/20 | 4.23.240.1 to 4.23.255.254 | 4.23.255.255 | 4,094 |
| 129 | 4.24.0.0/20 | 4.24.0.1 to 4.24.15.254 | 4.24.15.255 | 4,094 |
| 130 | 4.24.16.0/20 | 4.24.16.1 to 4.24.31.254 | 4.24.31.255 | 4,094 |
| 131 | 4.24.32.0/20 | 4.24.32.1 to 4.24.47.254 | 4.24.47.255 | 4,094 |
| 132 | 4.24.48.0/20 | 4.24.48.1 to 4.24.63.254 | 4.24.63.255 | 4,094 |
| 133 | 4.24.64.0/20 | 4.24.64.1 to 4.24.79.254 | 4.24.79.255 | 4,094 |
| 134 | 4.24.80.0/20 | 4.24.80.1 to 4.24.95.254 | 4.24.95.255 | 4,094 |
| 135 | 4.24.96.0/20 | 4.24.96.1 to 4.24.111.254 | 4.24.111.255 | 4,094 |
| 136 | 4.24.112.0/20 | 4.24.112.1 to 4.24.127.254 | 4.24.127.255 | 4,094 |
| 137 | 4.24.128.0/20 | 4.24.128.1 to 4.24.143.254 | 4.24.143.255 | 4,094 |
| 138 | 4.24.144.0/20 | 4.24.144.1 to 4.24.159.254 | 4.24.159.255 | 4,094 |
| 139 | 4.24.160.0/20 | 4.24.160.1 to 4.24.175.254 | 4.24.175.255 | 4,094 |
| 140 | 4.24.176.0/20 | 4.24.176.1 to 4.24.191.254 | 4.24.191.255 | 4,094 |
| 141 | 4.24.192.0/20 | 4.24.192.1 to 4.24.207.254 | 4.24.207.255 | 4,094 |
| 142 | 4.24.208.0/20 | 4.24.208.1 to 4.24.223.254 | 4.24.223.255 | 4,094 |
| 143 | 4.24.224.0/20 | 4.24.224.1 to 4.24.239.254 | 4.24.239.255 | 4,094 |
| 144 | 4.24.240.0/20 | 4.24.240.1 to 4.24.255.254 | 4.24.255.255 | 4,094 |
| 145 | 4.25.0.0/20 | 4.25.0.1 to 4.25.15.254 | 4.25.15.255 | 4,094 |
| 146 | 4.25.16.0/20 | 4.25.16.1 to 4.25.31.254 | 4.25.31.255 | 4,094 |
| 147 | 4.25.32.0/20 | 4.25.32.1 to 4.25.47.254 | 4.25.47.255 | 4,094 |
| 148 | 4.25.48.0/20 | 4.25.48.1 to 4.25.63.254 | 4.25.63.255 | 4,094 |
| 149 | 4.25.64.0/20 | 4.25.64.1 to 4.25.79.254 | 4.25.79.255 | 4,094 |
| 150 | 4.25.80.0/20 | 4.25.80.1 to 4.25.95.254 | 4.25.95.255 | 4,094 |
| 151 | 4.25.96.0/20 | 4.25.96.1 to 4.25.111.254 | 4.25.111.255 | 4,094 |
| 152 | 4.25.112.0/20 | 4.25.112.1 to 4.25.127.254 | 4.25.127.255 | 4,094 |
| 153 | 4.25.128.0/20 | 4.25.128.1 to 4.25.143.254 | 4.25.143.255 | 4,094 |
| 154 | 4.25.144.0/20 | 4.25.144.1 to 4.25.159.254 | 4.25.159.255 | 4,094 |
| 155 | 4.25.160.0/20 | 4.25.160.1 to 4.25.175.254 | 4.25.175.255 | 4,094 |
| 156 | 4.25.176.0/20 | 4.25.176.1 to 4.25.191.254 | 4.25.191.255 | 4,094 |
| 157 | 4.25.192.0/20 | 4.25.192.1 to 4.25.207.254 | 4.25.207.255 | 4,094 |
| 158 | 4.25.208.0/20 | 4.25.208.1 to 4.25.223.254 | 4.25.223.255 | 4,094 |
| 159 | 4.25.224.0/20 | 4.25.224.1 to 4.25.239.254 | 4.25.239.255 | 4,094 |
| 160 | 4.25.240.0/20 | 4.25.240.1 to 4.25.255.254 | 4.25.255.255 | 4,094 |
| 161 | 4.26.0.0/20 | 4.26.0.1 to 4.26.15.254 | 4.26.15.255 | 4,094 |
| 162 | 4.26.16.0/20 | 4.26.16.1 to 4.26.31.254 | 4.26.31.255 | 4,094 |
| 163 | 4.26.32.0/20 | 4.26.32.1 to 4.26.47.254 | 4.26.47.255 | 4,094 |
| 164 | 4.26.48.0/20 | 4.26.48.1 to 4.26.63.254 | 4.26.63.255 | 4,094 |
| 165 | 4.26.64.0/20 | 4.26.64.1 to 4.26.79.254 | 4.26.79.255 | 4,094 |
| 166 | 4.26.80.0/20 | 4.26.80.1 to 4.26.95.254 | 4.26.95.255 | 4,094 |
| 167 | 4.26.96.0/20 | 4.26.96.1 to 4.26.111.254 | 4.26.111.255 | 4,094 |
| 168 | 4.26.112.0/20 | 4.26.112.1 to 4.26.127.254 | 4.26.127.255 | 4,094 |
| 169 | 4.26.128.0/20 | 4.26.128.1 to 4.26.143.254 | 4.26.143.255 | 4,094 |
| 170 | 4.26.144.0/20 | 4.26.144.1 to 4.26.159.254 | 4.26.159.255 | 4,094 |
| 171 | 4.26.160.0/20 | 4.26.160.1 to 4.26.175.254 | 4.26.175.255 | 4,094 |
| 172 | 4.26.176.0/20 | 4.26.176.1 to 4.26.191.254 | 4.26.191.255 | 4,094 |
| 173 | 4.26.192.0/20 | 4.26.192.1 to 4.26.207.254 | 4.26.207.255 | 4,094 |
| 174 | 4.26.208.0/20 | 4.26.208.1 to 4.26.223.254 | 4.26.223.255 | 4,094 |
| 175 | 4.26.224.0/20 | 4.26.224.1 to 4.26.239.254 | 4.26.239.255 | 4,094 |
| 176 | 4.26.240.0/20 | 4.26.240.1 to 4.26.255.254 | 4.26.255.255 | 4,094 |
| 177 | 4.27.0.0/20 | 4.27.0.1 to 4.27.15.254 | 4.27.15.255 | 4,094 |
| 178 | 4.27.16.0/20 | 4.27.16.1 to 4.27.31.254 | 4.27.31.255 | 4,094 |
| 179 | 4.27.32.0/20 | 4.27.32.1 to 4.27.47.254 | 4.27.47.255 | 4,094 |
| 180 | 4.27.48.0/20 | 4.27.48.1 to 4.27.63.254 | 4.27.63.255 | 4,094 |
| 181 | 4.27.64.0/20 | 4.27.64.1 to 4.27.79.254 | 4.27.79.255 | 4,094 |
| 182 | 4.27.80.0/20 | 4.27.80.1 to 4.27.95.254 | 4.27.95.255 | 4,094 |
| 183 | 4.27.96.0/20 | 4.27.96.1 to 4.27.111.254 | 4.27.111.255 | 4,094 |
| 184 | 4.27.112.0/20 | 4.27.112.1 to 4.27.127.254 | 4.27.127.255 | 4,094 |
| 185 | 4.27.128.0/20 | 4.27.128.1 to 4.27.143.254 | 4.27.143.255 | 4,094 |
| 186 | 4.27.144.0/20 | 4.27.144.1 to 4.27.159.254 | 4.27.159.255 | 4,094 |
| 187 | 4.27.160.0/20 | 4.27.160.1 to 4.27.175.254 | 4.27.175.255 | 4,094 |
| 188 | 4.27.176.0/20 | 4.27.176.1 to 4.27.191.254 | 4.27.191.255 | 4,094 |
| 189 | 4.27.192.0/20 | 4.27.192.1 to 4.27.207.254 | 4.27.207.255 | 4,094 |
| 190 | 4.27.208.0/20 | 4.27.208.1 to 4.27.223.254 | 4.27.223.255 | 4,094 |
| 191 | 4.27.224.0/20 | 4.27.224.1 to 4.27.239.254 | 4.27.239.255 | 4,094 |
| 192 | 4.27.240.0/20 | 4.27.240.1 to 4.27.255.254 | 4.27.255.255 | 4,094 |
| 193 | 4.28.0.0/20 | 4.28.0.1 to 4.28.15.254 | 4.28.15.255 | 4,094 |
| 194 | 4.28.16.0/20 | 4.28.16.1 to 4.28.31.254 | 4.28.31.255 | 4,094 |
| 195 | 4.28.32.0/20 | 4.28.32.1 to 4.28.47.254 | 4.28.47.255 | 4,094 |
| 196 | 4.28.48.0/20 | 4.28.48.1 to 4.28.63.254 | 4.28.63.255 | 4,094 |
| 197 | 4.28.64.0/20 | 4.28.64.1 to 4.28.79.254 | 4.28.79.255 | 4,094 |
| 198 | 4.28.80.0/20 | 4.28.80.1 to 4.28.95.254 | 4.28.95.255 | 4,094 |
| 199 | 4.28.96.0/20 | 4.28.96.1 to 4.28.111.254 | 4.28.111.255 | 4,094 |
| 200 | 4.28.112.0/20 | 4.28.112.1 to 4.28.127.254 | 4.28.127.255 | 4,094 |
| 201 | 4.28.128.0/20 | 4.28.128.1 to 4.28.143.254 | 4.28.143.255 | 4,094 |
| 202 | 4.28.144.0/20 | 4.28.144.1 to 4.28.159.254 | 4.28.159.255 | 4,094 |
| 203 | 4.28.160.0/20 | 4.28.160.1 to 4.28.175.254 | 4.28.175.255 | 4,094 |
| 204 | 4.28.176.0/20 | 4.28.176.1 to 4.28.191.254 | 4.28.191.255 | 4,094 |
| 205 | 4.28.192.0/20 | 4.28.192.1 to 4.28.207.254 | 4.28.207.255 | 4,094 |
| 206 | 4.28.208.0/20 | 4.28.208.1 to 4.28.223.254 | 4.28.223.255 | 4,094 |
| 207 | 4.28.224.0/20 | 4.28.224.1 to 4.28.239.254 | 4.28.239.255 | 4,094 |
| 208 | 4.28.240.0/20 | 4.28.240.1 to 4.28.255.254 | 4.28.255.255 | 4,094 |
| 209 | 4.29.0.0/20 | 4.29.0.1 to 4.29.15.254 | 4.29.15.255 | 4,094 |
| 210 | 4.29.16.0/20 | 4.29.16.1 to 4.29.31.254 | 4.29.31.255 | 4,094 |
| 211 | 4.29.32.0/20 | 4.29.32.1 to 4.29.47.254 | 4.29.47.255 | 4,094 |
| 212 | 4.29.48.0/20 | 4.29.48.1 to 4.29.63.254 | 4.29.63.255 | 4,094 |
| 213 | 4.29.64.0/20 | 4.29.64.1 to 4.29.79.254 | 4.29.79.255 | 4,094 |
| 214 | 4.29.80.0/20 | 4.29.80.1 to 4.29.95.254 | 4.29.95.255 | 4,094 |
| 215 | 4.29.96.0/20 | 4.29.96.1 to 4.29.111.254 | 4.29.111.255 | 4,094 |
| 216 | 4.29.112.0/20 | 4.29.112.1 to 4.29.127.254 | 4.29.127.255 | 4,094 |
| 217 | 4.29.128.0/20 | 4.29.128.1 to 4.29.143.254 | 4.29.143.255 | 4,094 |
| 218 | 4.29.144.0/20 | 4.29.144.1 to 4.29.159.254 | 4.29.159.255 | 4,094 |
| 219 | 4.29.160.0/20 | 4.29.160.1 to 4.29.175.254 | 4.29.175.255 | 4,094 |
| 220 | 4.29.176.0/20 | 4.29.176.1 to 4.29.191.254 | 4.29.191.255 | 4,094 |
| 221 | 4.29.192.0/20 | 4.29.192.1 to 4.29.207.254 | 4.29.207.255 | 4,094 |
| 222 | 4.29.208.0/20 | 4.29.208.1 to 4.29.223.254 | 4.29.223.255 | 4,094 |
| 223 | 4.29.224.0/20 | 4.29.224.1 to 4.29.239.254 | 4.29.239.255 | 4,094 |
| 224 | 4.29.240.0/20 | 4.29.240.1 to 4.29.255.254 | 4.29.255.255 | 4,094 |
| 225 | 4.30.0.0/20 | 4.30.0.1 to 4.30.15.254 | 4.30.15.255 | 4,094 |
| 226 | 4.30.16.0/20 | 4.30.16.1 to 4.30.31.254 | 4.30.31.255 | 4,094 |
| 227 | 4.30.32.0/20 | 4.30.32.1 to 4.30.47.254 | 4.30.47.255 | 4,094 |
| 228 | 4.30.48.0/20 | 4.30.48.1 to 4.30.63.254 | 4.30.63.255 | 4,094 |
| 229 | 4.30.64.0/20 | 4.30.64.1 to 4.30.79.254 | 4.30.79.255 | 4,094 |
| 230 | 4.30.80.0/20 | 4.30.80.1 to 4.30.95.254 | 4.30.95.255 | 4,094 |
| 231 | 4.30.96.0/20 | 4.30.96.1 to 4.30.111.254 | 4.30.111.255 | 4,094 |
| 232 | 4.30.112.0/20 | 4.30.112.1 to 4.30.127.254 | 4.30.127.255 | 4,094 |
| 233 | 4.30.128.0/20 | 4.30.128.1 to 4.30.143.254 | 4.30.143.255 | 4,094 |
| 234 | 4.30.144.0/20 | 4.30.144.1 to 4.30.159.254 | 4.30.159.255 | 4,094 |
| 235 | 4.30.160.0/20 | 4.30.160.1 to 4.30.175.254 | 4.30.175.255 | 4,094 |
| 236 | 4.30.176.0/20 | 4.30.176.1 to 4.30.191.254 | 4.30.191.255 | 4,094 |
| 237 | 4.30.192.0/20 | 4.30.192.1 to 4.30.207.254 | 4.30.207.255 | 4,094 |
| 238 | 4.30.208.0/20 | 4.30.208.1 to 4.30.223.254 | 4.30.223.255 | 4,094 |
| 239 | 4.30.224.0/20 | 4.30.224.1 to 4.30.239.254 | 4.30.239.255 | 4,094 |
| 240 | 4.30.240.0/20 | 4.30.240.1 to 4.30.255.254 | 4.30.255.255 | 4,094 |
| 241 | 4.31.0.0/20 | 4.31.0.1 to 4.31.15.254 | 4.31.15.255 | 4,094 |
| 242 | 4.31.16.0/20 | 4.31.16.1 to 4.31.31.254 | 4.31.31.255 | 4,094 |
| 243 | 4.31.32.0/20 | 4.31.32.1 to 4.31.47.254 | 4.31.47.255 | 4,094 |
| 244 | 4.31.48.0/20 | 4.31.48.1 to 4.31.63.254 | 4.31.63.255 | 4,094 |
| 245 | 4.31.64.0/20 | 4.31.64.1 to 4.31.79.254 | 4.31.79.255 | 4,094 |
| 246 | 4.31.80.0/20 | 4.31.80.1 to 4.31.95.254 | 4.31.95.255 | 4,094 |
| 247 | 4.31.96.0/20 | 4.31.96.1 to 4.31.111.254 | 4.31.111.255 | 4,094 |
| 248 | 4.31.112.0/20 | 4.31.112.1 to 4.31.127.254 | 4.31.127.255 | 4,094 |
| 249 | 4.31.128.0/20 | 4.31.128.1 to 4.31.143.254 | 4.31.143.255 | 4,094 |
| 250 | 4.31.144.0/20 | 4.31.144.1 to 4.31.159.254 | 4.31.159.255 | 4,094 |
| 251 | 4.31.160.0/20 | 4.31.160.1 to 4.31.175.254 | 4.31.175.255 | 4,094 |
| 252 | 4.31.176.0/20 | 4.31.176.1 to 4.31.191.254 | 4.31.191.255 | 4,094 |
| 253 | 4.31.192.0/20 | 4.31.192.1 to 4.31.207.254 | 4.31.207.255 | 4,094 |
| 254 | 4.31.208.0/20 | 4.31.208.1 to 4.31.223.254 | 4.31.223.255 | 4,094 |
| 255 | 4.31.224.0/20 | 4.31.224.1 to 4.31.239.254 | 4.31.239.255 | 4,094 |
| 256 | 4.31.240.0/20 | 4.31.240.1 to 4.31.255.254 | 4.31.255.255 | 4,094 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |